Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231533 - rpc.statd prevented from starting some times
Summary: rpc.statd prevented from starting some times
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 21:08 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-12 17:08:25 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-03-08 21:08:24 UTC
Description of problem:

Similar to the problem with rpc.mountd (Bug #167235).

With enableaudit loaded, here are some blockers:

avc:  denied  { name_bind } for  comm="rpc.statd" src=631
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:ipp_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=631
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:ipp_port_t:s0
tclass=udp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=636
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:ldap_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=636
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:ldap_port_t:s0
tclass=udp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=647
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:dhcpd_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=647
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:dhcpd_port_t:s0
tclass=udp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=749
scontext=root:system_r:rpcd_t:s0
tcontext=system_u:object_r:kerberos_admin_port_t:s0 tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=750
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:kerberos_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=750
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:kerberos_port_t:s0
tclass=udp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=783
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:spamd_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=847
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:dhcpd_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=847
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:dhcpd_port_t:s0
tclass=udp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=873
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:rsync_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=873
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:rsync_port_t:s0
tclass=udp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=891
scontext=root:system_r:rpcd_t:s0
tcontext=system_u:object_r:inetd_child_port_t:s0 tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=891
scontext=root:system_r:rpcd_t:s0
tcontext=system_u:object_r:inetd_child_port_t:s0 tclass=udp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=892
scontext=root:system_r:rpcd_t:s0
tcontext=system_u:object_r:inetd_child_port_t:s0 tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=892
scontext=root:system_r:rpcd_t:s0
tcontext=system_u:object_r:inetd_child_port_t:s0 tclass=udp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=901
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:swat_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=953
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:rndc_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=993
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:pop_port_t:s0
tclass=tcp_socket
avc:  denied  { name_bind } for  comm="rpc.statd" src=995
scontext=root:system_r:rpcd_t:s0 tcontext=system_u:object_r:pop_port_t:s0
tclass=tcp_socket

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-41.fc6

Comment 1 Daniel Walsh 2007-03-20 15:59:30 UTC
Fixed in selinux-policy-2.4.6-46

Comment 2 Daniel Walsh 2007-09-12 17:08:25 UTC
Moving modified bugs to closed



Note You need to log in before you can comment on or make changes to this bug.